<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.shipmentPackage.home.title">shipmentPackage</span>
            </h5>
            <p-dataTable
                [value]="shipmentPackages"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idPackage"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['shipment-package-new'] } }]">
                        </button>
                    </div>
                </p-header>
                <p-column header="{{'mpmApp.shipmentPackage.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.shipmentPackage.idPackageType'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idPackageType | number}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <input currencyMask [(ngModel)]="rowData.idPackageType"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.shipmentPackage.dateCreated'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateCreated | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <p-calendar [(ngModel)]="rowData.dateCreated"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.shipmentPackage.internal'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.internalId">
                            <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.shipmentPackage.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'shipment-package/'+ rowData.idPackage + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'shipment-package/'+ rowData.idPackage + '/delete'} }]"
                                replaceUrl="true"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
